map.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <map> More...

`#include <cereal/cereal.hpp>`
`#include <map>`

Go to the source code of this file.

## Functions

template<class Archive , class MapT >
void | cereal::map_detail::save (Archive &ar, MapT const &map)
template<class Archive , class MapT >
void | cereal::map_detail::load (Archive &ar, MapT &map)
template<class Archive , class K , class T , class C , class A >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::map< K, T, C, A > const &map)
| Saving for std::map.
template<class Archive , class K , class T , class C , class A >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::map< K, T, C, A > &map)
| Loading for std::map.
template<class Archive , class K , class T , class C , class A >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::multimap< K, T, C, A > const &multimap)
| Saving for std::multimap. More...
template<class Archive , class K , class T , class C , class A >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::multimap< K, T, C, A > &multimap)
| Loading for std::multimap. More...

## Detailed Description

Support for types found in <map>

## Function Documentation

template<class Archive , class K , class T , class C , class A >

void cereal::CEREAL_LOAD_FUNCTION_NAME | ( | Archive & | ar,
|  | std::multimap< K, T, C, A > & | multimap
| ) |  |

inline

Loading for std::multimap.

Note
  serialization for this type is not guaranteed to preserve ordering

template<class Archive , class K , class T , class C , class A >

void cereal::CEREAL_SAVE_FUNCTION_NAME | ( | Archive & | ar,
|  | std::multimap< K, T, C, A > const & | multimap
| ) |  |

inline

Saving for std::multimap.

Note
  serialization for this type is not guaranteed to preserve ordering